function Tras3d

% Transient Sn Transport

clc
clear
close all
x1(1:40)=0.;
x2(1:40)=0.;
x3(1:40)=0.;
y1(1:40)=0.;
y2(1:40)=0.;
y3(1:40)=0.;
flux1(1:40,1:40)=0.;
flux2(1:40,1:40)=0.;
flux3(1:40,1:40)=0.;

fid=fopen('Trasxy1.txt');
A=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x1(i) = A(n,1);
     y1(j) = A(n,2);
     flux1(i,j)=A(n,3);
     end
 end
surf(x1,y1,flux1)
  title(sprintf('Lower xy Plane ') )
pause;

fid=fopen('Trasxy.txt');
B=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x2(i) = B(n,1);
     y2(j) = B(n,2);
     flux2(i,j)=B(n,3);
     end
 end

surf(x2,y2,flux2)
  title(sprintf('Middle xy Plane ') );
pause;

fid=fopen('Trasxy2.txt');
C=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x3(i) = C(n,1);
     y3(j) = C(n,2);
     flux3(i,j)=C(n,3);
     end
 end

surf(x3,y3,flux3)
  title(sprintf('Upper xy Plane ') );
pause;
  

fid=fopen('Trasxz1.txt');
A=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x1(i) = A(n,1);
     y1(j) = A(n,2);
     flux1(i,j)=A(n,3);
     end
 end
surf(x1,y1,flux1)
  title(sprintf('Lower xz Plane ') )
pause;

fid=fopen('Trasxz.txt');
B=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x2(i) = B(n,1);
     y2(j) = B(n,2);
     flux2(i,j)=B(n,3);
     end
 end

surf(x2,y2,flux2)
  title(sprintf('Middle xz Plane ') );
pause;

fid=fopen('Trasxz2.txt');
C=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x3(i) = C(n,1);
     y3(j) = C(n,2);
     flux3(i,j)=C(n,3);
     end
 end

surf(x3,y3,flux3)
  title(sprintf('Upper xz Plane ') );
pause;


fid=fopen('Trasyz1.txt');
A=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x1(i) = A(n,1);
     y1(j) = A(n,2);
     flux1(i,j)=A(n,3);
     end
 end
surf(x1,y1,flux1)
  title(sprintf('Lower yz Plane ') )
pause;

fid=fopen('Trasyz.txt');
B=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x2(i) = B(n,1);
     y2(j) = B(n,2);
     flux2(i,j)=B(n,3);
     end
 end

surf(x2,y2,flux2)
  title(sprintf('Middle yz Plane ') );
pause;

fid=fopen('Trasyz2.txt');
C=fscanf(fid,'%e %e %e',[3,inf])';
fclose(fid);
 for i = 1:40
     for j = 1:40
     n = 40 * (i-1) + j;
     x3(i) = C(n,1);
     y3(j) = C(n,2);
     flux3(i,j)=C(n,3);
     end
 end

surf(x3,y3,flux3)
  title(sprintf('Upper yz Plane ') );
pause;


%end;



  
